#include <string.h>

#include "prologin.h"
#include "utils.h"

/* 0  si l'alien n'est plus sur la map
 * >0 si l'alien va apparaitre
 * <0 si l'alien est sur la map */
int alien_visible(struct alien_info* a)
{

    int tdeb = a->tour_invasion;
    int tfin = a->tour_invasion + a->duree_invasion;
    int tact = tour_actuel();

    if(tact < tdeb)
        return tact - tdeb;
    else if(!alien_sur_case(a->pos))
        return 0;
    else
        return tfin - tact;
}
